Subject: Re: include path problems
From: [email-masked] (Larry Hall)

23 Dec 1998 10:32:00 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Serguei DACHIAN <[email-masked]>
Cc: [email-masked]

Serguei DACHIAN wrote:
> 
> Hi everybody.
> 
> I have a little problem with include paths.  My config is
> Win98French+CygWinB20.1.  If I put some headers in "/usr/include", g++ (and
> I suppose gcc too) find them without any additional flags.  But if I put
> them in "/usr/local/include" it don't find them!!!  This is not the case of
> the linker, since it finds well the libraries both in "/usr/lib" and
> "/usr/local/lib".  Is this a bug or an intention???  Is there any way to
> correct this behaviour?
> 
> BTW, in order to correct this, I have tried to set the environment variable
> "C_INCLUDE_PATH" (as it would be done under unix), but apparently this
> variable is simply ignored by g++!!!  Why???
> 
> Thanks in advance for any help.
> 
> Serguei.
> 

Use CPLUS_INCLUDE_PATH for g++.

Larry
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".